Ticket #34812

「レビュー内の現在の文字を通知」2回押しの場合だけかな文字とアルファベットのフォネティック読みを

Open Date: 2015-01-16 17:02 Last Update: 2015-02-24 14:32

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: コア機能 MileStone: 2015.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

「レビュー内の現在の文字を通知」2回押しの場合は、 かな文字やアルファベットのフォネティック読みを有効にしたいが、 「説明モード」でのカーソル移動ではフォネティック読みをさせたくない、 というご意見をいただいています。

以下、私宛のメールを許可を得て(表記を一部なおして)引用します:

通常のカーソル移動時では、
漢字は、説明読み
数字、仮名・アルファベット・記号類は、通常読み

数字、仮名・アルファベット・記号類で識別しにくい時に
説明読みモードでデスクトップ配列 テンキー 2 の2回押しで文字種を識別しますが、
たとえば m n の識別がしにくいです。

日本語設定で仮名文字とアルファベット文字のフォネティック読みのチェックボックスを
On にすれば識別はできますが、カーソル移動で全ての仮名・アルファベットを
フォネティック読みをしますので、繁雑になりますので使えません。

NVDAの仮名文字とアルファベット文字のフォネティック読みにチェックボックスを On にしたときに
テンキー 2 の2回押しをしたときだけ、フォネティック読みをしてほしいのです

Attachment File List

No attachments

Ticket History (3/8 Histories)

2015-01-16 17:02 Updated by: nishimoto
  • New Ticket "「レビュー内の現在の文字を通知」2回押しの場合だけかな文字とアルファベットのフォネティック読みを" created
2015-01-29 11:46 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Resolution Update from None to Accepted
  • Component Update from (None) to コア機能
Comment

文字説明モードとフォネティック読み設定について、仕様を整理して再検討します。

現状の仕様の説明:

http://www.nvda.jp/nvda2014.4jp/ja/readmejp.html#toc8

4.1. 文字説明モード

NVDA日本語版は、左矢印キーや右矢印キーによる文字単位の移動と、文字単位のレビューで、文字の詳細読みを行なう「文字説明モード」を導入しています。

「レビューカーソルの現在の文字を通知」(デスクトップ配列:テンキー2 ラップトップ配列:NVDA+ピリオド)を4回押すと、「説明モード」「読みかたモード」の切替ができます。

レビュー内の前の文字に移動

レビューカーソルをテキスト内の現在行の前の文字に移動します。 説明モードではその文字の説明や例を通知します。

レビュー内の現在の文字を通知

テキスト内の現在行のレビューカーソル位置の文字を通知します。 説明モードではその文字の説明や例を通知します。 2回押すとその文字の種類を説明します。 3回押すと10進数と16進数による文字コードを通知します。 4回押すと 「説明モード」「読みかたモード」が切り替わります。

レビュー内の次の文字に移動

レビューカーソルをテキスト内の現在行の次の文字に移動します。 説明モードではその文字の説明や例を通知します。

http://www.nvda.jp/nvda2014.4jp/ja/readmejp.html#toc16

5.2.4. かな文字をフォネティック読みする

チェックありにすると、文字レビュー(説明モード)のときに、ひらがなとカタカナを「あさひのあ」のように読みます。 初期値はチェックなしです。

5.2.5. アルファベットをフォネティック読みする

チェックありにすると、文字レビュー(説明モード)のときに、アルファベットを「A アルファー」のように読みます。 初期値はチェックなしです。

2015-01-29 14:33 Updated by: nishimoto
Comment

本件に関する作業ブランチ:

To git@bitbucket.org:nvdajp/nvdajp.git
 * [new branch]      ti34812 -> ti34812

変更方針

  • 文字単位の左右移動と「現在の文字を通知」1回押しは、説明モードにおいて、かな文字とアルファベット以外の文字を詳細説明する。ひらがな、カタカナ、半角、全角などの文字種類の通知はしない。
  • 点字ディスプレイには、説明モードで「現在の文字を通知」1回押しの場合に、文字の説明を表示する。
  • 「現在の文字を通知」2回押しは、説明モードにおいて、ひらがな、カタカナ、半角、全角などの文字種類に続けて文字の詳細説明をする。また、「日本語設定」のフォネティック読みのチェックが有効であればかな文字とアルファベットのフォネティック読みを行う。

他の作業に関するバグを見つけたので、スナップショットはもう少し待ってください。

2015-01-29 14:39 Updated by: nishimoto
Comment

さきほどの書き込みの一部訂正:

  • 文字単位の左右移動と「現在の文字を通知」1回押しは、説明モードにおいて、かな文字とアルファベット以外の文字を詳細説明する。ひらがな、カタカナ、半角、全角、大文字などの文字種類の通知はしない。
  • 点字ディスプレイには、説明モードで「現在の文字を通知」1回押しの場合に、文字の説明を表示する。
  • 「現在の文字を通知」2回押しは、ひらがな、カタカナ、半角、全角などの文字種類に続けて文字の詳細説明をする。また、「日本語設定」のフォネティック読みのチェックが有効であればかな文字とアルファベットのフォネティック読みを行う。
  • 「現在の文字を通知」2回押しは、説明モードの影響を受けない。
  • アルファベットの「大文字」の通知は、音声設定によって制御される。ただし「大文字」の通知が無効であっても「現在の文字を通知」2回押しをすると、大文字かどうかを通知する。
2015-01-29 17:43 Updated by: nishimoto
2015-01-30 12:51 Updated by: nishimoto
Comment

NVDA日本語版の説明の更新案

| レビュー内の現在の文字を通知 | テンキー2 | NVDA+ピリオド | 
テキスト内の現在行のレビューカーソル位置の文字を通知します。
説明モードではその文字の説明や例を通知します。
2回押すとその文字の種類(ひらがな、カタカナ、半角、全角、大文字の区別)と、文字の説明や例、
日本語設定で有効にした場合はカナ文字とアルファベットのフォネティック読みも通知します。
3回押すと10進数と16進数による文字コードを通知します。
4回押すと 「説明モード」「読みかたモード」が切り替わります。 |


+++ かな文字をフォネティック読みする +++

チェックありにすると、「レビュー内の現在の文字を通知」を2回続けて押したときに、ひらがなとカタカナを「あさひのあ」のように読みます。
初期値はチェックなしです。

+++ アルファベットをフォネティック読みする +++

チェックありにすると、「レビュー内の現在の文字を通知」を2回続けて押したときに、アルファベットを「A アルファー」のように読みます。
初期値はチェックなしです。
2015-02-05 13:04 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

いろいろご意見はあると思いますが、いったん jpbeta ブランチにマージして、 この作業は完了とさせていただきます。

今までの仕様に近づけるために 「左右の文字移動でもフォネティック読みをする」 のようなオプションを追加することは、 要望があれば考えてみたいと思いますが、 簡単に実装できるかどうか調べてみないと分からないです。

2015-02-24 14:32 Updated by: nishimoto
  • Ticket Close date is changed to 2015-02-24 14:32
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login